---
title: 'Reason: CORS request did not succeed'
slug: Web/HTTP/CORS/Errors/CORSDidNotSucceed
tags:
  - CORS
  - CORSDidNotSucceed
  - Cross-Origin
  - Error
  - HTTP
  - HTTPS
  - Messages
  - Reasons
  - Security
  - console
  - troubleshooting
---
<div>{{HTTPSidebar}}</div>

<h2 id="Reason">Reason</h2>

<pre class="syntaxbox">Reason: CORS request did not succeed</pre>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>The {{Glossary("HTTP")}} request which makes use of CORS failed because the HTTP connection failed at either the network or protocol level. The error is not directly related to CORS, but is a fundamental network error of some kind.</p>

<p>In many cases, it is caused by a browser plugin (e.g. an ad blocker or privacy protector) blocking the request.</p>

<p>Other possible causes include:</p>

<ul>
 <li>Trying to access an <code>https</code> resource that has an invalid certificate will cause this error.</li>
 <li>Trying to access an <code>http</code> resource from a page with an <code>https</code> origin will also cause this error.</li>
 <li>As of Firefox 68, <code>https</code> pages are not permitted to access <code>http://localhost</code>, although this may be changed by <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1488740">Bug 1488740</a>.</li>
 <li>The server did not respond to the actual request (even if it responded to the {{Glossary("Preflight request")}}). One scenario might be an HTTP service being developed that panicked without returning any data.</li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CORS/Errors">CORS errors</a></li>
 <li>Glossary: {{Glossary("CORS")}}</li>
 <li><a href="/en-US/docs/Web/HTTP/CORS">CORS introduction</a></li>
</ul>
